commit:     d641db74f9181717ad43d6ae49065eddd7e70690
Author:     Matthew Thode <prometheanfire <AT> gentoo <DOT> org>
AuthorDate: Mon Feb 19 00:20:18 2018 +0000
Commit:     Matt Thode <prometheanfire <AT> gentoo <DOT> org>
CommitDate: Mon Feb 19 00:54:08 2018 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=d641db74

dev-python/python-swiftclient: 3.5.0 bup

Package-Manager: Portage-2.3.19, Repoman-2.3.6

 dev-python/python-swiftclient/Manifest             |  1 +
 .../python-swiftclient-3.5.0.ebuild                | 62 ++++++++++++++++++++++
 2 files changed, 63 insertions(+)

diff --git a/dev-python/python-swiftclient/Manifest 
b/dev-python/python-swiftclient/Manifest
index 05b10d28925..443b85bc25e 100644
--- a/dev-python/python-swiftclient/Manifest
+++ b/dev-python/python-swiftclient/Manifest
@@ -2,3 +2,4 @@ DIST python-swiftclient-3.0.0.tar.gz 134376 BLAKE2B 
23f7c5080cf97c8e4e71365a1a14
 DIST python-swiftclient-3.1.0.tar.gz 155598 BLAKE2B 
af7ac24df6ca0b199deb52d48e9139027822912ab0f3a3915b60556bbf57b41d7cd5ca61adbac92cd89d21393026e8a3606ea6f5ff593dc2b64e29dc57bfe917
 SHA512 
693fcea571721e2f578a21b05a3c908dd6621bcfdd70f09003a981e233e2b3061318d60e301dcfdbb03d08a326ca3f14f3297d8226b5a0a6d78f88b1a72b2ea4
 DIST python-swiftclient-3.3.0.tar.gz 166092 BLAKE2B 
b23f1dbf9d2d0cbdac143250a7ad2458c0d170d858e90823ca9e014eea40017247d550755e05ecac2754d98b575fd9dc2910fc3b36a8b65cd8c8317075b86c96
 SHA512 
03e00e9b1f0f7b71c07e845cd9636031c15beb21a66495ab96be05df7e453160840948696ecb0d65d08c32e318d16425444aaa4ea16ede8268a2cf2b171a3987
 DIST python-swiftclient-3.4.0.tar.gz 175823 BLAKE2B 
59ccd0bd3bb0b732804a6d94005a36a342eddea3847e63527544cba110b2a4355060871547a5808465ad12c90b2fb0956e4816be363b9692af99cb48c7ba849c
 SHA512 
c7def24f22ced03316ccb74fcd7426b071597a3c7576c14f98fd6d864d6ee3e8a7666966ca2d07b6d996546bfcc2497ab654a67ab0228705f078985a35b97457
+DIST python-swiftclient-3.5.0.tar.gz 182598 BLAKE2B 
ad899edfcb7f1044f6ee40110e61cde090f0f2bd26f9666d698a8f0fc74ea105e70689994990c902a09961bb8464cd8dfc8e0ffcb403db4104e35cff13a227df
 SHA512 
0132d13e325e83f4ef0150fd66bbf4f6e7400c065e4410481b41d33da1c086726e6eb9c61a8063f32bd9103e5dd2071c1f1c28232a6300cbfe80bd57bac04c0a

diff --git a/dev-python/python-swiftclient/python-swiftclient-3.5.0.ebuild 
b/dev-python/python-swiftclient/python-swiftclient-3.5.0.ebuild
new file mode 100644
index 00000000000..dd552a727e7
--- /dev/null
+++ b/dev-python/python-swiftclient/python-swiftclient-3.5.0.ebuild
@@ -0,0 +1,62 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+PYTHON_COMPAT=( python2_7 python3_4 python3_5 )
+
+inherit distutils-r1
+
+DESCRIPTION="Python bindings to the OpenStack Object Storage API"
+HOMEPAGE="https://launchpad.net/python-swiftclient";
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64 ~x86 ~amd64-linux ~x86-linux"
+IUSE="doc test"
+
+DEPEND="dev-python/setuptools[${PYTHON_USEDEP}]
+       dev-python/pbr[${PYTHON_USEDEP}]
+       test? (
+               >=dev-python/coverage-3.6[${PYTHON_USEDEP}]
+               >=dev-python/mock-1.2[${PYTHON_USEDEP}]
+               >=dev-python/oslo-sphinx-4.7.0[${PYTHON_USEDEP}]
+               >=dev-python/sphinx-1.1.2[${PYTHON_USEDEP}]
+               !~dev-python/sphinx-1.2.0[${PYTHON_USEDEP}]
+               <dev-python/sphinx-1.3[${PYTHON_USEDEP}]
+               >=dev-python/testrepository-0.0.18[${PYTHON_USEDEP}]
+       )
+       doc? (
+               >=dev-python/oslo-sphinx-4.7.0[${PYTHON_USEDEP}]
+               >=dev-python/sphinx-1.1.2[${PYTHON_USEDEP}]
+               !~dev-python/sphinx-1.2.0[${PYTHON_USEDEP}]
+               <dev-python/sphinx-1.3[${PYTHON_USEDEP}]
+               >=dev-python/reno-2.5.0[${PYTHON_USEDEP}]
+               >=dev-python/openstackdocstheme-1.16.0[${PYTHON_USEDEP}]
+       )"
+RDEPEND="virtual/python-futures[${PYTHON_USEDEP}]
+       >=dev-python/requests-1.1[${PYTHON_USEDEP}]
+       >=dev-python/six-1.5.2[${PYTHON_USEDEP}]"
+
+#PATCHES=( "${FILESDIR}/CVE-2013-6396.patch" )
+
+python_prepare_all() {
+       sed -i '/hacking/d' "${S}/test-requirements.txt" || die "sed failed"
+       distutils-r1_python_prepare_all
+}
+
+python_compile_all() {
+       use doc && emake -C doc html
+}
+
+python_test() {
+       testr init
+       testr run || die "tests failed under python2_7"
+       flake8 tests && einfo "run of tests folder by flake8 passed"
+       flake8 bin/swift && einfo "run of ./bin/swift by flake8 passed"
+}
+
+python_install_all() {
+       use doc && local HTML_DOCS=( ../${P}-python2_7/doc/build/html/. )
+       distutils-r1_python_install_all
+}

Reply via email to